Subject: Re: RE: [PATCH 2/5] [RFC] Infiniband: connection abstraction

From: Sean Hefty <[email-masked]>
Date: Wed, 18 Jan 2006 10:13:34 -0800

Grant Grundler wrote:
>>>Is this code going to get invoked very often?
>>
>>In practice, it would be invoked when matching any listen requests 
>>originating from the CMA (RDMA connection abstraction).
> 
> hrm..I'm not sure how to translate your answer into a workload.
> e.g. which netperf or netpipe test would excercise this alot?
> Or would it take something like MPI or specweb/ttcp?

The code will be invoked at least once for every connection that is established.

>>>e.g something like:
>>>	for (i = 0; i < IB_CM_PRIVATE_DATA_COMPARE_SIZE/sizeof(unsigned 
>>>	long);
>>>									i++)
>>>		((unsigned long *)dst)[i] = ((unsigned long *)src)[i] 
>>>						& ((unsigned long *)mask)[i];
>>
>>Yes - something like this should work.  Thanks.
> 
> 
> Do you need a patch?
> I can submit one but it will be untested.

I will incorporate the change with the next set of updates.  Someone else 
pointed out that I'd need to make sure that there won't be any alignment issues.

- Sean